ggiSetColorfulPalette(3)

NAME
ggiSetColorfulPalette : Set a palette with a full range of all colors

SYNOPSIS
#include <ggi/ggi.h>
int ggiSetColorfulPalette(ggi_visual_t vis);

DESCRIPTION
LibGGI guarantees that there will be a default palette when a palettized mode is set. What this default is, however, dependent on the visual. For example, the X target deliberately avoids setting all colors to avoid color-flashing when moving between windows. Applications that want to ensure that they have a full scale of all colors can call ggiSetColorfulPalette after mode set. This function uses a smarter color allocation scheme, causing good colors but still minimal flashing in windowed targets.

RETURN VALUE
ggiSetColorfulPalette returns the number of the first entry changed. <0 indicate a ggi-error(3).

SEE ALSO
ggiSetPalette(3)